# $Revision: 1.20 $, $Date: 2008/07/27 22:51:07 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Mimetic
Summary:	Crypt::Mimetic - crypt a file and mask it behind another file
Summary(pl.UTF-8):	Crypt::Mimetic - szyfrowanie pliku i ukrywanie go w innym
Name:		perl-Crypt-Mimetic
Version:	0.02
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8c37e1950f944d1259c238c73af4e705
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Error
BuildRequires:	perl-Term-ReadKey
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows you to hide a file by encrypting in and then
attaching it to another file of your choice. This mimetic file then
looks and behaves like a normal file, and can be stored, used or
emailed without attracting attention.

%description -l pl.UTF-8
Ten moduł pozwala na ukrycie pliku poprzez zaszyfrowanie i dołączenie
do innego wybranego pliku. Taki plik wygląda i zachowuje się jak
normalny, może być zapisywany, używany albo przesyłany bez
przyciągania uwagi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{perl_vendorlib}/Error/*.pm
%{_bindir}/*
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Mimetic.spec,v $
Revision 1.20  2008/07/27 22:51:07  arekm
- release 4

Revision 1.19  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:13  paladine
- formatting

Revision 1.16  2004/05/07 01:09:17  ankry
- rel. 3

Revision 1.15  2004/05/06 18:09:24  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.13  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.12  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.11  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.10  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:46:30  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:59  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 18:56:46  qboosh
- pl description

Revision 1.1  2002/08/25 15:21:04  radek
- new, STBR
